Diligent Engine API Reference: Diligent::ISwapChainD3D12 Class Reference

Diligent Engine API Reference

Public Member Functions | List of all members
Diligent::ISwapChainD3D12 Class Referenceabstract

Interface to the swap chain object implemented in D3D12. More...

Inheritance diagram for Diligent::ISwapChainD3D12:

## Public Member Functions
virtual IDXGISwapChain * | GetDXGISwapChain ()=0
| Returns a pointer to the IDXGISwapChain interface of the internal DXGI object. More...
virtual ITextureViewD3D12 * | GetCurrentBackBufferRTV ()=0
| Returns a pointer to the render target view of the current back buffer in the swap chain. More...
virtual ITextureViewD3D12 * | GetDepthBufferDSV ()=0
| Returns a pointer to the depth-stencil view of the depth buffer. More...
Public Member Functions inherited from Diligent::ISwapChain
virtual void | Present ()=0
| Presents a rendered image to the user.
virtual const SwapChainDesc & | GetDesc () const =0
| Returns the swap chain desctription.
virtual void | Resize (Uint32 NewWidth, Uint32 NewHeight)=0
| Changes the swap chain's back buffer size. More...

## Detailed Description

Interface to the swap chain object implemented in D3D12.

## Member Function Documentation

## ◆ GetCurrentBackBufferRTV()

virtual ITextureViewD3D12* Diligent::ISwapChainD3D12::GetCurrentBackBufferRTV | ( |  | ) |
| pure virtual

Returns a pointer to the render target view of the current back buffer in the swap chain.

The method does NOT call AddRef() on the returned interface, so Release() must not be called.

Implemented in Diligent::SwapChainD3D12Impl.

## ◆ GetDepthBufferDSV()

virtual ITextureViewD3D12* Diligent::ISwapChainD3D12::GetDepthBufferDSV | ( |  | ) |
| pure virtual

Returns a pointer to the depth-stencil view of the depth buffer.

The method does NOT call AddRef() on the returned interface, so Release() must not be called.

Implemented in Diligent::SwapChainD3D12Impl.

## ◆ GetDXGISwapChain()

virtual IDXGISwapChain* Diligent::ISwapChainD3D12::GetDXGISwapChain | ( |  | ) |
| pure virtual

Returns a pointer to the IDXGISwapChain interface of the internal DXGI object.

The method does NOT call AddRef() on the returned interface, so Release() must not be called.

Implemented in Diligent::SwapChainD3D12Impl.